import Layout from '@/layout'
var Routers = [
  {
    path: '/doctor/diagnoses',
    component: Layout,
    meta: { title: '诊断', roles: ['doctor'] },
    children: [
      {
        path: '/doctor/diagnoses',
        component: () => import('@/views/doctor/diagnoses'),
        name: '/doctor/diagnoses',
        meta: { title: '诊断', icon: 'list', roles: ['doctor'] }
      }
    ]
  },
  {
    path: '/doctor/diagnoses/detail',
    component: Layout,
    hidden: true,
    meta: { title: '诊断详情', roles: ['doctor'] },
    children: [
      {
        path: '/doctor/diagnoses/detail',
        component: () => import('@/views/doctor/diagnoses/detail'),
        name: '/doctor/diagnoses/detail',
        meta: { title: '诊断详情', icon: 'el-icon-document', roles: ['doctor'] }
      }
    ]
  },
  {
    path: '/doctor/therapy',
    component: Layout,
    meta: { title: '治疗', roles: ['doctor'] },
    children: [
      {
        path: '/doctor/therapy',
        component: () => import('@/views/doctor/therapy'),
        name: '/doctor/therapy',
        meta: { title: '治疗', icon: 'list', roles: ['doctor'] }
      }
    ]
  },
  {
    path: '/doctor/research/article',
    component: Layout,
    meta: { title: '文章', roles: ['doctor'], icon: 'el-icon-reading' },
    children: [
      {
        path: '/doctor/research/article/list',
        component: () => import('@/views/doctor/research/article/list'),
        name: '/doctor/research/therapy',
        meta: { title: '文章列表', icon: 'list', roles: ['doctor'] }
      },
      {
        path: '/doctor/research/article/myArticle',
        component: () => import('@/views/doctor/research/article/myArticle'),
        name: '/doctor/research/article/myArticle',
        meta: { title: '我的文章', icon: 'el-icon-document', roles: ['doctor'] }
      }
    ]
  },
  {
    path: '/doctor/research/diseasedSimilaritySearch',
    component: Layout,
    meta: { title: '病变相似性检索', roles: ['doctor'] }, // 根据图片检索内容-可以多张
    children: [
      {
        path: '/doctor/research/diseasedSimilaritySearch/search',
        component: () => import('@/views/doctor/research/diseasedSimilaritySearch'),
        name: '/doctor/research/diseasedSimilaritySearch/search',
        meta: { title: '病变相似性检索', icon: 'search', roles: ['doctor'] }
      }
    ]
  },
  {
    path: '/doctor/therapy/detail',
    component: Layout,
    hidden: true,
    meta: { title: '治疗详情', roles: ['doctor'] },
    children: [
      {
        path: '/doctor/therapy/detail',
        component: () => import('@/views/doctor/therapy/detail'),
        name: '/doctor/therapy/detail',
        meta: { title: '治疗详情', icon: 'el-icon-document', roles: ['doctor'] }
      }
    ]
  },
  {
    path: '/doctor/therapy/create',
    component: Layout,
    hidden: true,
    meta: { title: '新建患者', roles: ['doctor'] },
    children: [
      {
        path: '/doctor/therapy/create',
        component: () => import('@/views/doctor/therapy/create'),
        name: '/doctor/therapy/create',
        meta: { title: '新建患者', icon: 'el-icon-document', roles: ['doctor'] }
      }
    ]
  }
]

export default Routers
